# Generated by Django 2.1.2 on 2018-11-19 20:43

import app.models
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0013_auto_20181119_2341'),
    ]

    operations = [
        migrations.CreateModel(
            name='Lesson',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_add', models.DateTimeField(auto_now_add=True)),
                ('date_edit', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(default='', max_length=255, verbose_name='название')),
                ('slug', models.SlugField(blank=True, verbose_name='ключевое слово')),
                ('number', models.PositiveIntegerField(default=1, verbose_name='порядковый номер')),
                ('video', models.FileField(blank=True, upload_to=app.models.lesson_upload_folder, verbose_name='видеоурок')),
                ('release', models.FileField(blank=True, upload_to=app.models.lesson_upload_folder, verbose_name='релиз')),
                ('release_name', models.CharField(default='', max_length=255, verbose_name='код релиза')),
                ('release_link', models.URLField(default='', max_length=255, verbose_name='ссылка на релиз')),
                ('about', models.TextField(blank=True, verbose_name='описание урока')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=200), blank=True, default=list, size=10)),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Course', verbose_name='курс')),
            ],
            options={
                'verbose_name': 'урок',
                'verbose_name_plural': 'уроки',
            },
        ),
    ]
